> ## Documentation Index
> Fetch the complete documentation index at: https://help.kajabi.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://help.kajabi.com/feedback

```json
{
  "path": "/api-reference/webhooks/tag-added-sample",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Tag added sample

> Returns sample webhook payload for the `tag_added` event:
```
[
  {
    "id": "0",
    "type": "contacts",
    "attributes": {
      "name": "Sample Recipient",
      "email": "sample@example.com",
      "address_line_1": "123 Kajabi Ln",
      "address_line_2": "Kajabi Suite 4",
      "address_city": "Kajabiwood",
      "address_country": "United Sites of Kajabi",
      "address_state": "Kajabifornia",
      "address_zip": "99999",
      "phone_number": "5555555555",
      "business_number": null,
      "subscribed": false,
      "external_user_id": null,
      "created_at": "2025-07-31T16:51:04.010Z",
      "updated_at": "2025-07-31T16:51:04.010Z"
    },
    "links": {
      "customer": ""
    },
    "relationships": {
      "site": {
        "data": {
          "id": "2",
          "type": "sites"
        }
      }
    }
  },
  {
    "id": "0",
    "type": "contact_tags",
    "attributes": {
      "name": "Tag"
    },
    "relationships": {
      "site": {
        "data": {
          "id": "2",
          "type": "sites"
        }
      }
    }
  }
]
```
## Actual Payloads
The actual payloads are sent to the `target_url` as a POST request with the following JSON body:
```json
{
  "id": "hash_id",
  "event": "tag_added",
  "payload": [],
}
```
The `payload` array is the sample response above




## OpenAPI

````yaml /openapi.yaml get /v1/hooks/tag_added_sample
openapi: 3.1.1
info:
  title: Kajabi API V1
  version: 1.0.1
  description: >
    ## Public API

    * Server URL `https://api.kajabi.com`

    * Endpoint paths are prefixed with `/v1`

    * Version endpoint `GET https://api.kajabi.com/v1/version`

    * See the [Developers Site](https://developers.kajabi.com) for documentation
    and examples.

    * Try the demo [Postman
    collection](https://www.postman.com/kajabi-apis/beta-public-api-demo/collection/fg4iyaz/kajabi-public-api-v1)

    ## API Keys

    * Your API `client_id` and `client_secret` are available on the [User API
    Keys](https://app.kajabi.com/admin/settings/security) section of the Kajabi
    Admin Portal.
      * Custom API Keys can be created with specific permissions.
      * Click the "Create User API Key" button, enter a name (e.g. "My project"), select the user and permissions, and click "Create".
      * For security purposes, you may "Delete" or "Rotate" the api credentials at any time; which will invalidate any access tokens granted with the credentials.
    ## Video Walkthroughs

    *
    [Capabilities](https://drive.google.com/file/d/1Puc9B2sSdA-RQb7YMxmUXg4FVoEXytoc/view?usp=sharing)

    * [Getting
    Started](https://drive.google.com/file/d/1hbGRShkxven_QMWvgYrerHKURbcZrnvJ/view?usp=sharing)

    * [Error
    Examples](https://drive.google.com/file/d/1i0wQK71I1jpaZVsxYwsn62gVj40S_E7Y/view?usp=sharing)

    * [External Contact
    Form](https://drive.google.com/file/d/1HqpULXvan5TOK3LvM7nILCuCkCaX0kFT/view?usp=sharing)
  contact:
    email: support@kajabi.com
    name: Support
    url: >-
      https://help.kajabi.com/hc/en-us/articles/4404549690523-How-to-Get-Help-From-Kajabi-Live-Agents
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.kajabi.com
    description: Production
security: []
paths:
  /v1/hooks/tag_added_sample:
    get:
      tags:
        - Webhooks
      summary: Tag added sample
      description: >
        Returns sample webhook payload for the `tag_added` event:

        ```

        [
          {
            "id": "0",
            "type": "contacts",
            "attributes": {
              "name": "Sample Recipient",
              "email": "sample@example.com",
              "address_line_1": "123 Kajabi Ln",
              "address_line_2": "Kajabi Suite 4",
              "address_city": "Kajabiwood",
              "address_country": "United Sites of Kajabi",
              "address_state": "Kajabifornia",
              "address_zip": "99999",
              "phone_number": "5555555555",
              "business_number": null,
              "subscribed": false,
              "external_user_id": null,
              "created_at": "2025-07-31T16:51:04.010Z",
              "updated_at": "2025-07-31T16:51:04.010Z"
            },
            "links": {
              "customer": ""
            },
            "relationships": {
              "site": {
                "data": {
                  "id": "2",
                  "type": "sites"
                }
              }
            }
          },
          {
            "id": "0",
            "type": "contact_tags",
            "attributes": {
              "name": "Tag"
            },
            "relationships": {
              "site": {
                "data": {
                  "id": "2",
                  "type": "sites"
                }
              }
            }
          }
        ]

        ```

        ## Actual Payloads

        The actual payloads are sent to the `target_url` as a POST request with
        the following JSON body:

        ```json

        {
          "id": "hash_id",
          "event": "tag_added",
          "payload": [],
        }

        ```

        The `payload` array is the sample response above
      responses:
        '200':
          description: Success, returns sample webhook payload
          content:
            application/vnd.api+json:
              schema:
                type: array
                items:
                  anyOf:
                    - type: object
                      properties:
                        id:
                          type: string
                        type:
                          type: string
                          enum:
                            - contacts
                        attributes:
                          $ref: '#/components/schemas/contacts_attributes'
                        relationships:
                          type: object
                          properties:
                            tags:
                              type: object
                              properties:
                                data:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                      type:
                                        type: string
                                        enum:
                                          - contact_tags
                    - type: object
                      properties:
                        id:
                          type: string
                        type:
                          type: string
                          enum:
                            - contact_tags
                        attributes:
                          $ref: '#/components/schemas/contact_tags_attributes'
        '401':
          description: Unauthorized, Authorization header is missing or invalid
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/errors_unauthorized'
        '403':
          description: Forbidden, insufficient permission to access the resource
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/errors_forbidden'
      security:
        - Bearer: []
components:
  schemas:
    contacts_attributes:
      type: object
      properties:
        name:
          type: string
        email:
          type: string
        phone_number:
          type:
            - string
            - 'null'
        business_number:
          type:
            - string
            - 'null'
        subscribed:
          type: boolean
        address_line_1:
          type:
            - string
            - 'null'
        address_line_2:
          type:
            - string
            - 'null'
        address_city:
          type:
            - string
            - 'null'
        address_state:
          type:
            - string
            - 'null'
        address_country:
          type:
            - string
            - 'null'
        external_user_id:
          type: string
          nullable: true
          description: Supported once contact is granted an offer or makes a purchase
        address_zip:
          type:
            - string
            - 'null'
        custom_1:
          type: string
          nullable: true
          description: Support depends on custom fields of a site
        custom_2:
          type: string
          nullable: true
          description: Support depends on custom fields of a site
        custom_3:
          type: string
          nullable: true
          description: Support depends on custom fields of a site
        created_at:
          type: string
          format: date-time
          readOnly: true
          description: ISO 8601 date-time, read only
        updated_at:
          type: string
          format: date-time
          readOnly: true
          description: ISO 8601 date-time, read only
    contact_tags_attributes:
      type: object
      properties:
        name:
          type: string
      required:
        - name
    errors_unauthorized:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/errors_attributes'
    errors_forbidden:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/errors_attributes'
    errors_attributes:
      type: object
      properties:
        status:
          type: string
        source:
          type: object
          nullable: true
          properties:
            pointer:
              type: string
        title:
          type: string
        detail:
          type: string
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````